namespace Brjnk.Common.Extensions
{
    /// <summary>
    /// </summary>
    public static class StringExtension
    {
        public static string RemoveWhiteChars(this string input)
        {
            var regEx = new System.Text.RegularExpressions.Regex("\\s+");
            return regEx.Replace(input, string.Empty);
        }

        /// <summary>
        /// Teka (ve smyslu nsoben)
        /// </summary>
        public static readonly string DotOperator = "\u2219";
        /// <summary>
        /// Horn index - slice 2
        /// </summary>
        public static readonly string SuperscriptTwo = "\u00B2";
        /// <summary>
        /// Horn index - slice 1
        /// </summary>
        public static readonly string SuperscriptOne = "\u00B9";
        /// <summary>
        /// Horn index - znak minus
        /// </summary>
        public static readonly string SuperscriptMinus = "\u207B";

        /// <summary>
        /// Promile
        /// </summary>
        public static readonly string PerMille = "\u2030";
    }
}