namespace Brjnk.Common
{
    using System;
    using System.Windows;

    /// <summary>
    /// </summary>
    public static class MathEx
    {
        public static double ToDegrees(double radians)
        {
            return radians / Math.PI * 180;
        }

        public static double ToRadians(double degrees)
        {
            return degrees / 180 * Math.PI;
        }

        /// <summary>
        /// Provede rotaci kolem potku soustavy souadnic. hel je ve stupnch
        /// </summary>
        public static Point RotatePointD(System.Windows.Point point, double rotation)
        {
            double rad = ToRadians(rotation);
            return new Point(point.X * Math.Cos(rad) - point.Y * Math.Sin(rad),
                point.X * Math.Sin(rad) + point.Y * Math.Cos(rad));
        }
    }
}