using System;
using System.Windows.Markup;

namespace Brjnk.Common
{
    /// <summary>
    /// MarkupExtension kter vrac typ, kter je pole.
    /// </summary>
    public class ArrayTypeExtension
        : MarkupExtension
    {
        public ArrayTypeExtension() { }

        public ArrayTypeExtension(Type type)
        {
            this.Type = type;
        }

        public Type Type { get; set; }

        public override object ProvideValue(IServiceProvider serviceProvider)
        {
            if ((object)Type == null) throw new NullReferenceException("ArrayTypeExtension: Typ pole nen definovn");
            return Type.MakeArrayType();
        }
    }
}