namespace Brjnk.CoordinateSystem2D.Layers
{
    /// <summary>
    /// </summary>
    public class GraphDataInfo
    {
        public GraphDataInfo(double minZ, double maxZ, AxisOrientation? constant)
        {
            this.MinZ = minZ;
            this.MaxZ = maxZ;
            this.Constant = constant;
        }

        /// <summary>
        /// Uruje, ke kter ose maj bt vechny spojnice grafu rovnobn.
        /// Null pro plynul pechody.
        /// </summary>
        public AxisOrientation? Constant { get; protected set; }

        public double MinZ { get; protected set; }

        public double MaxZ { get; protected set; }
    }
}