namespace Brjnk.GpxExplorer.Data
{
    using System;
    using Brjnk.Common;

    /// <summary>
    /// </summary>
    public class RoutePointDefault : RoutePoint
    {
        private GpsCoordinates position;

        public override Common.GpsCoordinates Position
        {
            get
            {
                return position;
            }
            set
            {
                position = value;
                OnPropertyChanged("Position");
            }
        }

        private Distance? elevation;

        public override Distance? Elevation
        {
            get { return elevation; }
            set { elevation = value; OnPropertyChanged("Elevation"); }
        }

        private DateTime? time;

        public override DateTime? Time
        {
            get { return time; }
            set { time = value; OnPropertyChanged("Time"); }
        }

        public override object Clone()
        {
            return base.ConvertTo<RoutePointDefault>();
        }
    }
}