namespace Brjnk.GpxExplorer.Data
{
    using System;
    using Brjnk.Common;

    /// <summary>
    /// </summary>
    public class TrackPointDefault : TrackPoint
    {
        private DateTime? time;
        private Distance? elevation;
        private GpsCoordinates position;

        public override Common.GpsCoordinates Position
        {
            get
            {
                return position;
            }
            set
            {
                position = value;
                OnPropertyChanged("Position");
            }
        }

        public override Distance? Elevation
        {
            get
            {
                return elevation;
            }
            set
            {
                elevation = value;
                OnPropertyChanged("Elevation");
            }
        }

        public override DateTime? Time
        {
            get
            {
                return time;
            }
            set
            {
                time = value;
                OnPropertyChanged("Time");
            }
        }

        public override object Clone()
        {
            return base.ConvertTo<TrackPointDefault>();
        }
    }
}