namespace Brjnk.GpxExplorer.Localization
{
    using System;

    /// <summary>
    /// </summary>
    public class LocalizationConverter : System.Windows.Data.IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values.Length == 1) return values;
            if ((object)values[0] == null) return values[1];
            string pattern = values[0].ToString();
            if (!pattern.Contains("{0}")) return pattern += values[1].ToString();
            return string.Format(pattern, values[1]);
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}