﻿using System.Windows;
using Microsoft.Windows.Controls.Ribbon;

namespace Brjnk.GpxExplorer
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        private App application;

        public App Application { get { return application; } }

        public MainWindow()
        {
            application = System.Windows.Application.Current as App;
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            application.MainWindowLoaded();
        }
    }
}