namespace Brjnk.GpxExplorer.WPF
{
    using System;
    using System.Windows.Data;

    /// <summary>
    /// Vrt vsledek logick operace AND. Vstupem byl mlo bt pole hodnoty typu bool.
    /// </summary>
    public class AndMultiConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            foreach (var value in values)
            {
                if (value is bool)
                {
                    bool v = (bool)value;
                    if (!v) return false;
                }
            }
            return true;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}