namespace Brjnk.GpxExplorer.WPF
{
    using System;
    using System.Windows.Data;
    using Brjnk.CoordinateSystem2D.Layers;

    /// <summary>
    /// </summary>
    public class PhotoOrientationConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var v = (PhotoOrientation)value;
            switch (v)
            {
                case PhotoOrientation.Unknown:
                    return 0;
                case PhotoOrientation.None:
                    return 0;
                case PhotoOrientation.Clockwise90:
                    return 90;
                case PhotoOrientation.Degrees180:
                    return 180;
                case PhotoOrientation.Clockwise270:
                    return 270;
                default:
                    System.Diagnostics.Debug.WriteLine("Neznm hodnota PhotoOrientation");
                    return 0;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}