namespace Brjnk.GpxExplorer.WPF
{
    using System;
    using System.Windows.Data;

    /// <summary>
    /// Pevede hodnotu na True, pokud nvratov hodnota ToString() obsahuje argument tohoto Converteru
    /// </summary>
    public class ToStringContainsConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((object)parameter == null) System.Diagnostics.Debug.WriteLine("Parameter is null!");
            if (value.ToString().Contains(parameter.ToString())) return true;
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}