namespace Brjnk.GpxExplorer.Workspace
{
    using System.ComponentModel;
    using System.Windows.Media;

    /// <summary>
    /// </summary>
    public class PointStyle
    {
        private double fontSize = 9;

        public double FontSize
        {
            get { return fontSize; }
            set { fontSize = value; OnPropertyChanged("FontSize"); }
        }

        private Color color = Colors.Black;

        public Color Color
        {
            get { return color; }
            set { color = value; OnPropertyChanged("Color"); }
        }

        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}