namespace Brjnk.GpxExplorer.Workspace
{
    using System.ComponentModel;
    using System.Windows.Media;

    /// <summary>
    /// </summary>
    public class RoutePointStyle : PointStyle, INotifyPropertyChanged
    {
        public RoutePointStyle()
        {
            base.Color = Colors.DarkBlue;
            this.PinColor = Colors.LightBlue;
        }

        private bool showNumber = true;

        public bool ShowNumber
        {
            get { return showNumber; }
            set { showNumber = value; OnPropertyChanged("ShowNumber"); }
        }

        private bool showDistance = false;

        public bool ShowDistance
        {
            get { return showDistance; }
            set { showDistance = value; OnPropertyChanged("ShowDistance"); }
        }

        private Color pinColor;

        public Color PinColor
        {
            get { return pinColor; }
            set { pinColor = value; OnPropertyChanged("PinColor"); }
        }
    }
}