namespace Brjnk.GpxExplorer.Workspace
{
    using Brjnk.GpxExplorer.Computing;
    using Brjnk.GpxExplorer.ViewModel;

    /// <summary>
    /// </summary>
    public class SearchDateTimeResult : SearchResult
    {
        public SearchDateTimeResult(FindTimeResult result, SearchDateTimeRequest item, ISearchablePath foundIn)
        {
            this.OriginalResult = result;
            this.SearchedItem = item;
            this.FoundIn = foundIn;
        }

        public FindTimeResult OriginalResultTyped { get { return (FindTimeResult)this.OriginalResult; } }

        public SearchDateTimeRequest SearchedItemTyped
        {
            get { return base.SearchedItem as SearchDateTimeRequest; }
        }
    }
}