namespace Brjnk.GpxExplorer.Workspace
{
    using System.ComponentModel;
    using System.Windows.Media;

    /// <summary>
    /// </summary>
    public class SearchPointStyle : PointStyle, INotifyPropertyChanged
    {
        public SearchPointStyle()
        {
            base.Color = Colors.Firebrick;
        }

        private bool showDescription = true;

        public bool ShowDescription
        {
            get { return showDescription; }
            set { showDescription = value; OnPropertyChanged("ShowDescription"); }
        }
    }
}