namespace Brjnk.Maps.Downloader
{
    using System;

    public class DownloadCompletedEventArgs : EventArgs
    {
        /// <summary>
        /// Třída je thread-safe, pokud obdrží v konstruktoru DownloadScheduler, který je thread-safe
        /// </summary>
        public DownloadCompletedEventArgs(DownloadTask task)
        {
            this.Task = task;
        }

        public DownloadTask Task { get; protected set; }
    }
}