﻿namespace Brjnk.Maps.Downloader
{
    public class TaskUpdaterPair
    {
        /// <summary>
        /// Uchovává DownloadTask a jeho DownloadTaskUpdater
        /// </summary>
        public TaskUpdaterPair(DownloadTask task, DownloadTaskUpdater updater)
        {
            this.Task = task;
            this.Updater = updater;
        }

        public DownloadTask Task { get; protected set; }

        public DownloadTaskUpdater Updater { get; protected set; }
    }
}