﻿namespace Brjnk.Maps
{
    public interface IDbUsageLogger
    {
        /// <summary>
        /// Zaznamená množství souborů ve vyrovnávací paměti
        /// </summary>
        /// <param name="filesCount"></param>
        void LogCacheState(string cacheName, int filesCount, string info);

        /// <summary>
        /// Inkrementuje počet souborů získaných z vyrovnávací paměti
        /// </summary>
        void LogResolvedFromCache(string cacheName);
    }
}