﻿namespace Brjnk.Maps
{
    using System;

    /// <summary>
    /// Implementuje třída schopná zaznamenávat vytížení aplikace
    /// </summary>
    public interface IDownloadLogger
    {
        /// <summary>
        /// Inkrementuje celkové množství stažených dat
        /// </summary>
        void LogDownload(Uri uri, long bytesCount, TimeSpan time);

        /// <summary>
        /// Inkrementuje počítadlo stažených souborů
        /// </summary>
        /// <param name="domain"></param>
        /// /// <param name="success">True, pokud stahování bylo úspěšně</param>
        void LogDownloadCompleted(string domain, bool success);
    }
}