﻿namespace Brjnk.Maps
{
    using System;
    using System.Windows.Media.Imaging;
    using Brjnk.Maps.Cache;

    /// <summary>
    /// Definuje rozhraní pro třídu umožnující "kešovat" mapové soubory
    /// </summary>
    public interface IMapCache
    {
        void AddToCache(string mapName, TileId tile, BitmapImage image, DateTime downloadTime);

        /// <summary>
        /// Odstraní všechna data v cache paměti
        /// </summary>
        void Clear();

        GetCachedTileResult GetTile(string mapSource, TileId tile, bool returnIfExpired);
    }
}