﻿namespace Brjnk.Maps
{
    using System.Windows;
    using Brjnk.Common;

    public interface IMapProjection
    {
        /// <summary>
        /// Převede zpět z interních souřadnic do zeměpisných
        /// </summary>
        /// <param name="internalCoordinates"></param>
        /// <returns></returns>
        GpsCoordinates ToGpsCoordinates(Point internalCoordinates);

        /// <summary>
        /// Převede zeměpisné souřadnice na interní 2D souřadnice s počátkem v levém horním rohu
        /// </summary>
        Point ToInternal(GpsCoordinates gps);
    }
}