namespace Brjnk.Maps
{
    using System;

    /// <summary>
    /// </summary>
    public static class DefaultTimingProvider
    {
        private static ITimingProvider timingProvider;

        public static ITimingProvider GetDefaultTimingProvider()
        {
            if (timingProvider == null)
                timingProvider = new TimingProvider();
            return timingProvider;
        }

        public static void SetDefaultTimingProvider(ITimingProvider timingProvider)
        {
            if (timingProvider == null) throw new ArgumentNullException("timingProvider");
            DefaultTimingProvider.timingProvider = timingProvider;
        }
    }
}