﻿using System.Windows;
using Brjnk.Common;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Coordinate2DTest
{
    [TestClass()]
    public class LineSegmentHelperTest
    {
        private TestContext testContextInstance;

        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes

        //
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //

        #endregion Additional test attributes

        [TestMethod()]
        public void GetIntersectionTest()
        {
            for (int i = 0; i < 10000000; i++)
            {
                Point startPoint1 = new Point(0, 0);
                Point endPoint1 = new Point(1, 1);
                Point startPoint2 = new Point(1, 0);
                Point endPoint2 = new Point(0, 1);
                Point expected = new Point(0.5, 0.5);
                var actual = LineSegmentHelper.GetIntersection(startPoint1, endPoint1, startPoint2, endPoint2);
                //Assert.AreEqual(expected, actual);
            }
        }
    }
}