﻿using Brjnk.Common;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace MapsTest
{
    [TestClass()]
    public class AzimuthTest
    {
        private TestContext testContextInstance;

        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        [TestMethod()]
        public void GetAzimuthTest()
        {
            GpsCoordinates Coordinate1 = new GpsCoordinates(48, 15);
            GpsCoordinates Coordinate2 = new GpsCoordinates(49, 14);
            double expected = 326.84F;
            double actual;
            actual = Azimuth.GetAzimuth(Coordinate1, Coordinate2);
            Assert.AreEqual(expected, actual, 0.1);
        }
    }
}