namespace Brjnk.MVVM
{
    using System.Collections.Generic;

    /// <summary>
    /// </summary>
    public class PropertyInfo
    {
        public PropertyInfo(string name, string[] classes)
        {
            Name = name;
            if (classes != null) this.classes = new System.Collections.ObjectModel.ReadOnlyCollection<string>(classes);
        }

        private System.Collections.ObjectModel.ReadOnlyCollection<string> classes;

        public string Name { get; private set; }

        public IEnumerable<string> Classes { get { return classes; } }
    }
}