﻿namespace Brjnk.Common.ValueTypes
{
    /// <summary>
    /// Představuje rozhraní pro všechny strkutury/třídy reprezentující fyzikální veličinu
    /// </summary>
    public interface IPhysicalQuantity
    {
        /// <summary>
        /// Vrátí hodnotu veličiny v základní jednotce
        /// </summary>
        double GetValue();
    }
}