namespace Brjnk.CoordinateSystem2D
{
    using System;

    /// <summary>
    /// </summary>
    public class CalculateStepsResult
    {
        public double stepLarge { get; set; }

        public double stepBig { get; set; }

        public double stepMedium { get; set; }

        public double stepSmall { get; set; }

        public Func<double, string> formatterLarge { get; set; }

        public Func<double, string> formatterBig { get; set; }

        /// <summary>
        /// True, pokud m bt nula vdy velikosti Large
        /// </summary>
        public bool LargeZero { get; set; }

        /// <summary>
        /// True, pokud m bt MediumStep zvolen automaticky tak, aby byl polovina BigStep.
        /// </summary>
        public bool AutoMediumStep { get; set; }

        /// <summary>
        /// Funkce, kter vrt true, pokud m dan hodnota bt oznaena jako large
        /// </summary>
        public Func<double, bool> largeLabelSelector { get; set; }

        /// <summary>
        /// True, pro otoenou osu. Popisky osy budou vyhodnoceny pro zpornou (opanou hodnotu)
        /// </summary>
        public bool Reverse { get; set; }
    }
}