﻿using System.Windows.Media;

namespace Brjnk.CoordinateSystem2D.Layers
{
    public class GraphStyle
    {
        public GraphStyle()
        {
            SimplifyDegree = 4; //odpovídá asi 1 mm
            Thickness = 3;
        }

        /// <summary>
        /// True, pokud má být čára mezi 2 body s rozdílnou barvou vyplněna přechodem.
        /// False, pokud má být čára mezi 2 body vyplněna barvou druhého z bodů.
        /// </summary>
        public bool UseGradient { get; set; }

        public double Thickness { get; set; }

        public Color LowColor { get; set; }

        public Color HighColor { get; set; }

        public bool Highlight { get; set; }

        public bool HighlightByAnimation { get; set; }

        /// <summary>
        /// Počet DIP. Body vzdálené méně než je stanovená vzdálenost budou vynechány za účelem rychlejšího vykreslování.
        /// </summary>
        public double SimplifyDegree { get; set; }
    }
}