﻿namespace Brjnk.CoordinateSystem2D.Layers
{
    /// <summary>
    /// Otočení, které musí být provedeno, aby fotografie byla správně zobrazena.
    /// </summary>
    public enum PhotoOrientation
    {
        //http://sylvana.net/jpegcrop/exif_orientation.html
        Unknown = 0,

        None = 1,
        Clockwise90 = 6, //fotografie bude otočena o 90° ve směru hodin
        Degrees180 = 8,
        Clockwise270 = 3
    }
}