namespace Brjnk.CoordinateSystem2D
{
    using System.Windows;

    /// <summary>
    /// </summary>
    public struct MousePosition
    {
        public MousePosition(Point relative, Point position)
            : this()
        {
            this.RelativePosition = relative;
            this.Position = position;
        }

        /// <summary>
        /// Obrazovkov souadnice vzhledem k levmu hornmu rohu
        /// </summary>
        public Point RelativePosition { get; private set; }

        /// <summary>
        /// Souadnice v soustav souadnic
        /// </summary>
        public Point Position { get; private set; }
    }
}