﻿using System;

namespace Brjnk.GpxExplorer.Data.GPX.SerializationClasses
{
    public class XmlClassWrapper<T>
    {
        public XmlClassWrapper(T wrappedData)
        {
            if ((object)wrappedData == null) throw new ArgumentNullException();
            this.data = wrappedData;
        }

        protected T data;

        [System.Xml.Serialization.XmlIgnore()]
        public T WrappedData
        {
            get { return data; }
            set { data = value; }
        }
    }
}