namespace Brjnk.GpxExplorer.Data
{
    /// <summary>
    /// </summary>
    public class GeocacheInfoDefault : GeocacheInfo
    {
        private string id;

        public override string ID
        {
            get { return id; }
            set { id = value; OnPropertyChanged("ID"); }
        }

        private string name;

        public override string Name
        {
            get { return name; }
            set { name = value; OnPropertyChanged("Name"); }
        }

        private float terrain;

        public override float Terrain
        {
            get { return terrain; }
            set { terrain = value; OnPropertyChanged("Terrain"); }
        }

        private float difficulty;

        public override float Difficulty
        {
            get { return difficulty; }
            set { difficulty = value; OnPropertyChanged("Difficulty"); }
        }

        private string htmlShort;

        public override string HtmlShort
        {
            get { return htmlShort; }
            set { htmlShort = value; OnPropertyChanged("HtmlShort"); }
        }

        private string htmlBody;

        public override string HtmlBody
        {
            get { return htmlBody; }
            set { htmlBody = value; OnPropertyChanged("HtmlBody"); }
        }

        private GeocacheType? type;

        public override GeocacheType? Type
        {
            get { return type; }
            set { type = value; OnPropertyChanged("Type"); }
        }

        private GeocacheSize? size;

        public override GeocacheSize? Size
        {
            get { return size; }
            set { size = value; OnPropertyChanged("Size"); }
        }

        private string hint;

        public override string Hint
        {
            get { return hint; }
            set { hint = value; OnPropertyChanged("Hint"); }
        }

        private string author;

        public override string Author
        {
            get { return author; }
            set { author = value; OnPropertyChanged("Author"); }
        }
    }
}