﻿namespace Brjnk.GpxExplorer.Localization
{
    using System.Collections.Generic;

    public interface ILocalizationDataProvider
    {
        ///<param name="ISOLanguageName">Zkratka jazyka podle normy ISO (3 písmena).</param>
        IDictionary<string, string> GetStrings(IsoLanguageName language);

        IDictionary<string, string> GetCustomStrings(IsoLanguageName language);

        void UpdateCustomStrings(IsoLanguageName language, IDictionary<string, string> strings);

        IsoLanguageName GetNearestAvailableLanguage(IsoLanguageName language);

        IEnumerable<IsoLanguageName> GetAvailableLanguages();
    }
}