﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace Brjnk.GpxExplorer.UI.Controls
{
    public class ZoomControl : Control
    {
        static ZoomControl()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(ZoomControl), new FrameworkPropertyMetadata(typeof(ZoomControl)));
        }

        public ICommand IncreaseCommand
        {
            get { return (ICommand)GetValue(IncreaseCommandProperty); }
            set { SetValue(IncreaseCommandProperty, value); }
        }

        public static readonly DependencyProperty IncreaseCommandProperty =
            DependencyProperty.Register("IncreaseCommand", typeof(ICommand), typeof(ZoomControl), new UIPropertyMetadata(null));

        public ICommand DecreaseCommand
        {
            get { return (ICommand)GetValue(DecreaseCommandProperty); }
            set { SetValue(DecreaseCommandProperty, value); }
        }

        public static readonly DependencyProperty DecreaseCommandProperty =
            DependencyProperty.Register("DecreaseCommand", typeof(ICommand), typeof(ZoomControl), new UIPropertyMetadata(null));
    }
}