﻿namespace Brjnk.GpxExplorer.ViewModel
{
    using System;
    using System.Collections.Generic;
    using Brjnk.GpxExplorer.Computing;

    public interface ISearchablePath
    {
        IEnumerable<FindPositionResult> FindPosition(IPoint position, FindPositionArgs args);

        FindTimeResult FindTime(DateTime dateTime, bool searchInGaps);
    }
}