namespace Brjnk.GpxExplorer.Workspace
{
    using System;

    /// <summary>
    /// </summary>
    public class SearchDateTimeRequest : SearchRequest
    {
        public SearchDateTimeRequest()
        {
            DateTime = DateTime.Now;
        }

        private DateTime dateTime;

        public DateTime DateTime
        {
            get { return dateTime; }
            set
            {
                dateTime = value; OnPropertyChanged("DateTime");
                StringRepresentation = dateTime.ToString();
                OnChanged();
            }
        }

        public override string ToString()
        {
            return dateTime.ToString();
        }
    }
}