namespace Brjnk.GpxExplorer.Workspace
{
    using Brjnk.GpxExplorer.Computing;
    using Brjnk.GpxExplorer.ViewModel;

    /// <summary>
    /// </summary>
    public abstract class SearchResult
    {
        private object searchedItem;

        public object SearchedItem
        {
            get { return searchedItem; }
            protected set
            {
                searchedItem = value;
            }
        }

        private FindResult originalResult;

        public FindResult OriginalResult
        {
            get { return originalResult; }
            protected set { originalResult = value; }
        }

        private ISearchablePath foundIn;

        public ISearchablePath FoundIn
        {
            get { return foundIn; }
            protected set
            {
                foundIn = value;
            }
        }
    }
}