﻿namespace Brjnk.Maps
{
    using System;

    public interface ITimingProvider
    {
        /// <summary>
        /// Událost vyvolávaná každou sekundu. Každá událost je vyvolána v jiném vlákně
        /// </summary>
        event Action<TicksTime> Tick;

        TicksTime GetTime();

        ITimer GetTimer();
    }
}