namespace Brjnk.Maps
{
    using System.Windows.Media;
    using System.Windows.Media.Imaging;

    /// <summary>
    /// </summary>
    public class TileGeneratorArgs
    {
        public Brush Background { get; set; }

        public Brush HeaderColor { get; set; }

        public Brush TextColor { get; set; }

        public string Header { get; set; }

        public string Text { get; set; }

        public BitmapSource Icon { get; set; }

        public static TileGeneratorArgs GetRed()
        {
            return new TileGeneratorArgs()
            {
                Background = Brushes.Pink,
                HeaderColor = Brushes.Red,
                TextColor = Brushes.Black
            };
        }

        public static TileGeneratorArgs GetOrange()
        {
            return new TileGeneratorArgs()
            {
                Background = Brushes.LightYellow,
                HeaderColor = Brushes.Orange,
                TextColor = Brushes.Black
            };
        }

        public static TileGeneratorArgs GetGreen()
        {
            return new TileGeneratorArgs()
            {
                Background = Brushes.LightGreen,
                HeaderColor = Brushes.Green,
                TextColor = Brushes.Black
            };
        }

        public static TileGeneratorArgs GetBlue()
        {
            return new TileGeneratorArgs()
            {
                Background = Brushes.LightBlue,
                HeaderColor = Brushes.Blue,
                TextColor = Brushes.Black
            };
        }

        public static TileGeneratorArgs GetPlain()
        {
            return new TileGeneratorArgs()
            {
                Background = Brushes.LightGray,
                HeaderColor = Brushes.Black,
                TextColor = Brushes.Black
            };
        }
    }
}