﻿using System;

namespace Brjnk.Maps
{
    /// <summary>
    /// Prázdná implementace IOverloadProtection (nezpůsobuje žádné omezování)
    /// </summary>

    internal class NoOverloadProtection : IOverloadProtection
    {
        public TimeSpan GetRemainingTime(Downloader.DownloadTaskPriority priority)
        {
            return TimeSpan.Zero;
        }

        public void Increment(Downloader.DownloadTaskPriority priority)
        {
        }

        public TimeSpan GetSpeedRestriction(long downloadedSize)
        {
            return TimeSpan.Zero;
        }
    }
}