namespace Brjnk.Maps
{
    /// <summary>
    /// Identifikuje mapovou dladici
    /// </summary>
    public struct TileId
    {
        public TileId(long x, long y, int zoom)
            : this()
        {
            this.X = x;
            this.Y = y;
            this.Zoom = zoom;
        }

        public long X { get; private set; }

        public long Y { get; private set; }

        public int Zoom { get; private set; }
    }
}