﻿using Brjnk.Common.Extensions;
using Brjnk.MVVM;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Tests
{
    [TestClass()]
    public class ObservableCollectionExTest
    {
        private TestContext testContextInstance;

        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes

        //
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //

        #endregion Additional test attributes

        [TestMethod()]
        public void ObservableCollectionEx()
        {
            var c = new ObservableCollectionEx<int>();
            for (int i = 0; i < 4; i++) c.Add(i);
            c.RemoveWhere(i => i % 2 == 0);
            Assert.AreEqual(1, c[0]);
            Assert.AreEqual(3, c[1]);
            Assert.AreEqual(2, c.Count);
        }
    }
}